Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Queryparameters
api-version
string
vereist
The API version to use for this operation.
Padparameters
name
string
vereist
The friendly name of the connection, provided by the user.
Koptekstparameters
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Antwoorden
The request has succeeded.
Kopteksten
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Hoofdtekst
name
string
vereist
The friendly name of the connection, provided by the user.
id
string
vereist
A unique identifier for the connection, generated by the service
type
string | enum
vereist
The Type (or category) of the connection
enum
target
string
vereist
The connection URL to be used for this service
isDefault
boolean
vereist
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
vereist
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
vereist
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
vereist
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
vereist
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
vereist
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
vereist
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
vereist
The credential type
metadata
object
vereist
Metadata of the connection
Aanvraag
GET /connections/{name} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json